unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Menus, CheckLst, ComCtrls, ImgList, ToolWin;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    Soubor1: TMenuItem;
    Novy1: TMenuItem;
    Otevrit1: TMenuItem;
    Ulozit1: TMenuItem;
    Konec1: TMenuItem;
    Student1: TMenuItem;
    ListBox1: TListBox;
    Statistika1: TMenuItem;
    Pridat1: TMenuItem;
    Odebrat1: TMenuItem;
    ToolBar1: TToolBar;
    StatusBar1: TStatusBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    ToolButton6: TToolButton;
    ImageList1: TImageList;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    procedure Student1Click(Sender: TObject);
    procedure Konec1Click(Sender: TObject);
    procedure Novy1Click(Sender: TObject);
    procedure Otevrit1Click(Sender: TObject);
    procedure Ulozit1Click(Sender: TObject);
    procedure Statistika1Click(Sender: TObject);
    procedure Odebrat1Click(Sender: TObject);
    procedure ListBox1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Unit2,unit3;

procedure TForm1.Student1Click(Sender: TObject);
var line:string;
begin
 form3.Show;
 if form2.showModal = mrOk then
 begin
  line:=form2.jmeno.Text+','+form2.prijmeni.text;
  line:=line+','+form2.vek.Items[form2.vek.itemindex];
  line:=line+','+form2.pohlavi.Items[form2.pohlavi.itemindex];
  ListBox1.items.Add(line);
  form3.addStudent(inttostr(listbox1.Items.Count));
  StatusBar1.Panels[1].Text:=inttostr(Listbox1.Items.Count);
 end;
end;

procedure TForm1.Konec1Click(Sender: TObject);
begin
 Application.Terminate;
end;

procedure TForm1.Novy1Click(Sender: TObject);
begin
 ListBox1.Items.clear;
 form3.Edit1.Text:='0';
 StatusBar1.Panels[1].Text:='0';
end;

procedure TForm1.Otevrit1Click(Sender: TObject);
begin
 if OpenDialog1.Execute then
 begin
  ListBox1.Items.LoadFromFile(OpenDialog1.FileName);
  Form3.Edit1.Text:=inttostr(Listbox1.Items.Count);
  StatusBar1.Panels[1].Text:=inttostr(Listbox1.Items.Count);
 end;
end;

procedure TForm1.Ulozit1Click(Sender: TObject);
begin
 if SaveDialog1.Execute then
  ListBox1.Items.SaveToFile(SaveDialog1.FileName);
end;

procedure TForm1.Statistika1Click(Sender: TObject);
begin
 Form3.Show;
end;

procedure TForm1.Odebrat1Click(Sender: TObject);
begin
 if(listbox1.ItemIndex>=0) then
 begin
   Listbox1.Items.Delete(Listbox1.ItemIndex);
   Form3.Edit1.Text:=inttostr(Listbox1.Items.Count);
   StatusBar1.Panels[1].Text:=inttostr(Listbox1.Items.Count);
 end;
end;

procedure TForm1.ListBox1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
 if key = 46 then
  if listbox1.ItemIndex >=0 then
  begin
    Listbox1.Items.Delete(Listbox1.ItemIndex);
    Form3.Edit1.Text:=inttostr(Listbox1.items.Count);
  end;
end;

end.

